<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<!DOCTYPE MAN SYSTEM "file://D:\PROGRA~1\scilab-4.0\man/manrev.dtd">
<MAN>
  <LANGUAGE>eng</LANGUAGE>
  <TITLE>tran</TITLE>
  <TYPE>Scilab Function  </TYPE>
  <DATE>5-Sep-2006</DATE>
  <SHORT_DESCRIPTION name="tran">translate the head and tail of graph into the matrix G structure like the adjacency link</SHORT_DESCRIPTION>

  <CALLING_SEQUENCE>
  <CALLING_SEQUENCE_ITEM>G = tran(a,b,N)</CALLING_SEQUENCE_ITEM>
  </CALLING_SEQUENCE>

  <PARAM>
  <PARAM_INDENT>

    <PARAM_ITEM>
    <PARAM_NAME>a</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the numbers of the tail nodes of the graph (its size is the number of edges of the graph)
      	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>b</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : row vector of the numbers of the head nodes of the graph (its size is the number of edges of the graph)
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>N</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : the node number of the model
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>G</PARAM_NAME>
    <PARAM_DESCRIPTION>
	    <SP>
		    : the translated matrix. G[i][0] represents the degree of node i. G[i][1],G[i][2]... represent its neighbors.
     	    </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>
  </PARAM_INDENT>
  </PARAM>
 
  <DESCRIPTION>
     <DESCRIPTION_INDENT>
     <DESCRIPTION_ITEM>
	     <P>
		     tran creates the matrix structure link adjacency link for one graph. It is a useful function for the complex network because it is easy to write the program in scilab.
	     </P>
     </DESCRIPTION_ITEM>
     </DESCRIPTION_INDENT>
  </DESCRIPTION>

  <EXAMPLE><![CDATA[
   G=tran(a,b,N);
  ]]></EXAMPLE>

  <SEE_ALSO>
    <SEE_ALSO_ITEM> <LINK> bet</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> cluster</LINK> </SEE_ALSO_ITEM>
  </SEE_ALSO>

  <AUTHORS>
    <AUTHORS_ITEM label='Wubo'>
    </AUTHORS_ITEM>
  </AUTHORS>
</MAN>
